Subject: Re: bug#49822: master e32c7d2: Change Python eval to send directly instead of using temporary files

From: Augusto Stoffel <[email-masked]>
Date: Tue, 07 Sep 2021 19:59:06 +0200

On Tue,  7 Sep 2021 at 20:48, Eli Zaretskii <[email-masked]> wrote:

>> From: Augusto Stoffel <[email-masked]>
>> Date: Tue, 07 Sep 2021 19:37:41 +0200
>> Cc: Andy Moreton <[email-masked]>, [email-masked],
>>  Andreas Schwab <[email-masked]>,
>>  Stefan Monnier <[email-masked]>, [email-masked],
>>  Michael Albinus <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
>> 
>> Okay then. Since there seem to be no better alternatives, I have
>> attached a new patch reducing the limit to a hard-coded 1024 bytes.  If
>> some day someone adds a variable specifying a more precise limit, then
>> we can change this.
>
> I thought the conclusion was that we do know the limits, but they are
> different on different OSes?  If so, why not use the correct limit for
> each OS, instead of using the most strict limit?  The underlying OS is
> available in system-type.
>
>> -    (if (<= (string-bytes code) 4096)
>> +    (if (<= (string-bytes code) 1024)
>
> In any case, IMO this should be a defconst with a suitable doc string,
> so that we'd have this stuff documented for posterity.
>
> Thanks.

Yes, I agree this should be a defconst, defined in comint.el or maybe
even in C, if there turns out to be a sensible way to query the OS.

I'm afraid I've already proved that I am not up to this particular task :-)